## org.eclipse.emf.codegen.ecore.genmodel.provider
Class GenModelItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.codegen.ecore.genmodel.util.GenModelAdapterFactory
              org.eclipse.emf.codegen.ecore.genmodel.provider.GenModelItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

    public class GenModelItemProviderAdapterFactory

extends GenModelAdapterFactory
implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected GenAnnotationItemProvider` `genAnnotationItemProvider` This keeps track of the one adapter used for all `GenAnnotation` instances
`protected GenClassItemProvider` `genClassItemProvider` This keeps track of the one adapter used for all `GenClass` instances
`protected GenDataTypeItemProvider` `genDataTypeItemProvider` This keeps track of the one adapter used for all `GenDataType` instances
`protected GenEnumItemProvider` `genEnumItemProvider` This keeps track of the one adapter used for all `GenEnum` instances
`protected GenEnumLiteralItemProvider` `genEnumLiteralItemProvider` This keeps track of the one adapter used for all `GenEnumLiteral` instances
`protected GenFeatureItemProvider` `genFeatureItemProvider` This keeps track of the one adapter used for all `GenFeature` instances
`protected GenModelItemProvider` `genModelItemProvider` This keeps track of the one adapter used for all `GenModel` instances
`protected GenOperationItemProvider` `genOperationItemProvider` This keeps track of the one adapter used for all `GenOperation` instances
`protected GenPackageItemProvider` `genPackageItemProvider` This keeps track of the one adapter used for all `GenPackage` instances
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.util.GenModelAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`GenModelItemProviderAdapterFactory()` This constructs an instance

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener
`Adapter` `createGenAnnotationAdapter()` This creates an adapter for a `GenAnnotation`
`Adapter` `createGenClassAdapter()` This creates an adapter for a `GenClass`
`Adapter` `createGenDataTypeAdapter()` This creates an adapter for a `GenDataType`
`Adapter` `createGenEnumAdapter()` This creates an adapter for a `GenEnum`
`Adapter` `createGenEnumLiteralAdapter()` This creates an adapter for a `GenEnumLiteral`
`Adapter` `createGenFeatureAdapter()` This creates an adapter for a `GenFeature`
`Adapter` `createGenModelAdapter()` This creates an adapter for a `GenModel`
`Adapter` `createGenOperationAdapter()` This creates an adapter for a `GenOperation`
`Adapter` `createGenPackageAdapter()` This creates an adapter for a `GenPackage`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.util.GenModelAdapterFactory
`createAdapter, createEObjectAdapter, createGenBaseAdapter, createGenClassifierAdapter, createGenParameterAdapter, createGenTypedElementAdapter, createGenTypeParameterAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### genModelItemProvider

    protected GenModelItemProvider genModelItemProvider

  This keeps track of the one adapter used for all `GenModel` instances.

### genPackageItemProvider

    protected GenPackageItemProvider genPackageItemProvider

  This keeps track of the one adapter used for all `GenPackage` instances.

### genClassItemProvider

    protected GenClassItemProvider genClassItemProvider

  This keeps track of the one adapter used for all `GenClass` instances.

### genFeatureItemProvider

    protected GenFeatureItemProvider genFeatureItemProvider

  This keeps track of the one adapter used for all `GenFeature` instances.

### genEnumItemProvider

    protected GenEnumItemProvider genEnumItemProvider

  This keeps track of the one adapter used for all `GenEnum` instances.

### genEnumLiteralItemProvider

    protected GenEnumLiteralItemProvider genEnumLiteralItemProvider

  This keeps track of the one adapter used for all `GenEnumLiteral` instances.

### genDataTypeItemProvider

    protected GenDataTypeItemProvider genDataTypeItemProvider

  This keeps track of the one adapter used for all `GenDataType` instances.

### genOperationItemProvider

    protected GenOperationItemProvider genOperationItemProvider

  This keeps track of the one adapter used for all `GenOperation` instances.

### genAnnotationItemProvider

    protected GenAnnotationItemProvider genAnnotationItemProvider

  This keeps track of the one adapter used for all `GenAnnotation` instances.

Constructor Detail

### GenModelItemProviderAdapterFactory

    public GenModelItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createGenModelAdapter

    public Adapter createGenModelAdapter()

  This creates an adapter for a `GenModel`.

  Overrides:
    `createGenModelAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenModel`

### createGenPackageAdapter

    public Adapter createGenPackageAdapter()

  This creates an adapter for a `GenPackage`.

  Overrides:
    `createGenPackageAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenPackage`

### createGenClassAdapter

    public Adapter createGenClassAdapter()

  This creates an adapter for a `GenClass`.

  Overrides:
    `createGenClassAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenClass`

### createGenFeatureAdapter

    public Adapter createGenFeatureAdapter()

  This creates an adapter for a `GenFeature`.

  Overrides:
    `createGenFeatureAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenFeature`

### createGenEnumAdapter

    public Adapter createGenEnumAdapter()

  This creates an adapter for a `GenEnum`.

  Overrides:
    `createGenEnumAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenEnum`

### createGenEnumLiteralAdapter

    public Adapter createGenEnumLiteralAdapter()

  This creates an adapter for a `GenEnumLiteral`.

  Overrides:
    `createGenEnumLiteralAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenEnumLiteral`

### createGenDataTypeAdapter

    public Adapter createGenDataTypeAdapter()

  This creates an adapter for a `GenDataType`.

  Overrides:
    `createGenDataTypeAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDataType`

### createGenOperationAdapter

    public Adapter createGenOperationAdapter()

  This creates an adapter for a `GenOperation`.

  Overrides:
    `createGenOperationAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenOperation`

### createGenAnnotationAdapter

    public Adapter createGenAnnotationAdapter()

  This creates an adapter for a `GenAnnotation`.

  Overrides:
    `createGenAnnotationAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAnnotation`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `GenModelAdapterFactory`
  Parameters:
    `type` - the key indicating the type of adapter in question.
  Returns:
    whether this factory is applicable for the type of the object.
  See Also:
    `Adapter.isAdapterForType(java.lang.Object)`

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`
  Parameters:
    `notifier` - the notifier to adapt.
    `type` - the key indicating the type of adapter required.
  Returns:
    a previously existing associated adapter, a new associated adapter if possible, or `null` otherwise.
  See Also:
    `Adapter.setTarget(org.eclipse.emf.common.notify.Notifier)`, `AdapterFactory.adaptNew(org.eclipse.emf.common.notify.Notifier, java.lang.Object)`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`
  Parameters:
    `object` - arbitrary object to adapt.
    `type` - the key indicating the type of adapter required.
  Returns:
    either an associated adapter or the object itself.
  See Also:
    `AdapterFactoryImpl.adapt(Notifier,Object)`, `AdapterFactoryImpl.resolve(Object, Object)`

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `IDisposable`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.